//libraries
#include "Mouse.h"

//variables
int serialSpeed = 9600;
const int buttonPin1 = 2;
int buttonState1 = 0; 
int wheelDown = -10;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(serialSpeed);
  Serial.println("Serial has started");
  pinMode(buttonPin1, INPUT);
  Serial.println("delay 20 sec for reprogramming");
  delay(20000);
  Mouse.begin();
  Serial.println("keyboard started");
}

void loop() {
  // put your main code here, to run repeatedly:
  buttonState1 = digitalRead(buttonPin1);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState1 == HIGH) {
    Serial.println("button 1 pressed");
    Mouse.move(0, 0, wheelDown);
  } 

  delay(50);
}